### Function

# SpiceClientGLib Channel string_to_type

since: 0.21

#### Declaration [src]

    gint
    spice_channel_string_to_type (
      const gchar* str
    )

#### Description [src]

Convert a channel-type property value to a string.

Available since: 0.21

#### Parameters

`str`

  Type: `const gchar*`

  A string representation of the channel-type property.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The channel-type property value for a `str` channel.